commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steven Caswell <steven.casw...@gmail.com>
Subject [lang] DateUtils test fails under 1.2.2 and not under 1.4.2
Date Wed, 25 May 2005 00:38:59 GMT
All,

I have discovered a group of tests in the DateUtils test case that fails 
under 1.2.2 but not under 1.4.2. They are testing the DateUtils round method 
when rounding a date in the MET timezone across the start and end of DST. If 
I remember correctly, this was in response to a user bug report. In 
particular the test is at line 472 of the testRound method in 
DataUtilsTest.java.

The test passes fine when run under 1.4.2 but fails under 1.2.2. I don't 
have a 1.3 installation available so I don't know if it passes or fails 
under 1.3.

I propose that we put a condition around the test so that is only run when 
the Java version is 1.4, and add a note to the round method javadoc and the 
release notes stating that the round method may not work properly in all 
cases involving DST rollovers in previous JVMs, with this case as an 
example.

Thoughs?

-- 
Steven Caswell
steven.caswell@gmail.com

Take back the web - http://www.mozilla.org

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message